DPDK patches and discussions
 help / color / mirror / Atom feed
From: Thomas Monjalon <thomas.monjalon@6wind.com>
To: dev@dpdk.org
Subject: [dpdk-dev] [PATCH] scripts: test build with all stats enabled
Date: Fri,  8 Apr 2016 11:22:26 +0200	[thread overview]
Message-ID: <1460107346-18761-1-git-send-email-thomas.monjalon@6wind.com> (raw)

These stats will be compiled when adding +debug
to test-build.sh targets:
	CONFIG_RTE_LIBRTE_IP_FRAG_TBL_STAT
	CONFIG_RTE_SCHED_COLLECT_STATS
	CONFIG_RTE_PORT_STATS_COLLECT
	CONFIG_RTE_TABLE_STATS_COLLECT
	CONFIG_RTE_PIPELINE_STATS_COLLECT
	CONFIG_RTE_TEST_PMD_RECORD_BURST_STATS
	CONFIG_RTE_TEST_PMD_RECORD_CORE_CYCLES

Signed-off-by: Thomas Monjalon <thomas.monjalon@6wind.com>
---
 scripts/test-build.sh | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/scripts/test-build.sh b/scripts/test-build.sh
index e9e3dbc..9de90f7 100755
--- a/scripts/test-build.sh
+++ b/scripts/test-build.sh
@@ -137,8 +137,10 @@ config () # <directory> <target> <options>
 		sed -ri           's,(NEXT_ABI=)y,\1n,' $1/.config
 		! echo $3 | grep -q '+shared' || \
 		sed -ri         's,(SHARED_LIB=)n,\1y,' $1/.config
-		! echo $3 | grep -q '+debug' || \
-		sed -ri            's,(DEBUG.*=)n,\1y,' $1/.config
+		! echo $3 | grep -q '+debug' || ( \
+		sed -ri           's,(_DEBUG.*=)n,\1y,' $1/.config
+		sed -ri            's,(_STAT.*=)n,\1y,' $1/.config
+		sed -ri 's,(TEST_PMD_RECORD_.*=)n,\1y,' $1/.config )
 
 		# Automatic configuration
 		! echo $2 | grep -q '^x86_64' || \
@@ -165,7 +167,6 @@ config () # <directory> <target> <options>
 		sed -ri            's,(PMD_QAT=)n,\1y,' $1/.config
 		sed -ri        's,(KNI_VHOST.*=)n,\1y,' $1/.config
 		sed -ri           's,(SCHED_.*=)n,\1y,' $1/.config
-		sed -ri 's,(TEST_PMD_RECORD_.*=)n,\1y,' $1/.config
 		build_config_hook $1 $2 $3
 
 		# Explicit enabler/disabler (uppercase)
-- 
2.7.0

             reply	other threads:[~2016-04-08  9:22 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-04-08  9:22 Thomas Monjalon [this message]
2016-04-11 21:59 ` Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1460107346-18761-1-git-send-email-thomas.monjalon@6wind.com \
    --to=thomas.monjalon@6wind.com \
    --cc=dev@dpdk.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).